## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 11;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           package-notes
Version:        0.5
Release:        %autorelease
Summary:        Generate LDFLAGS to insert .note.package section
License:        0BSD
URL:            https://github.com/systemd/package-notes

Source0:        redhat-package-notes.in
Source1:        macros.package-notes-srpm

BuildArch:      noarch

%description
This package provides a generator of linker scripts that insert a section with
an ELF note with a JSON payload that describes the package the binary was built
for.

%package srpm-macros
Summary:        %{summary}
Obsoletes:      package-notes < 0.5
# Those are minimum versions that implement --package-metadata
Conflicts:      binutils < 2.37-34
Conflicts:      binutils-gold < 2.37-34
Conflicts:      mold < 1.3.0
Conflicts:      lld < 14.0.5-4

%description srpm-macros
RPM macros to insert a section with an ELF note with a JSON payload that
describes the package the binary was built for via a compiler spec file.

%prep
# nothing to do

%build
sed "s|@OSCPE@|$(cat /usr/lib/system-release-cpe)|" %{SOURCE0} >redhat-package-notes

%install
install -Dt %{buildroot}%{_rpmconfigdir}/redhat/ redhat-package-notes
install -m0644 -Dt %{buildroot}%{_rpmmacrodir}/ %{SOURCE1}

%files srpm-macros
%{_rpmconfigdir}/redhat/redhat-package-notes
%{_rpmmacrodir}/macros.package-notes-srpm

%changelog
## START: Generated by rpmautospec
* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat May 20 2023 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5-8
- Make sure redhat-package-notes spec is skipped if _package_note_flags is
  undefined (rbhz#2184553)

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Sep 03 2022 Luca Boccassi <bluca@debian.org> - 0.5-6
- test: run clang build too

* Mon Aug 29 2022 Luca Boccassi <bluca@debian.org> - 0.5-5
- Disable by default with lld

* Tue Aug 16 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.5-4
- Fix regression due to typo in _package_note_status
- Fixes RHBZ#2118722

* Tue Aug 16 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5-3
- Switch to --package-metadata also with lld (#2051597)

* Tue Aug 09 2022 Luca Boccassi <bluca@debian.org> - 0.5-1
- Switch to --package-metadata (#2055863, #2083878, #2099999, #2059858, #2055458)

* Sat Aug 06 2022 Tom Stellard <tstellar@redhat.com> - 0.4-17
- Add CI test

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Mar 26 2022 Luca Boccassi <bluca@debian.org> - 0.4-15
- Fix wrong binary fields on big endian

* Tue Jan 25 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4-14
- Disable notes when clang toolchain is used on arm

* Mon Jan 24 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4-13
- Disable notes with linkers other than bfd

* Mon Jan 24 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4-12
- Add --insert-after param to the note generation script

* Sat Jan 22 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4-11
- Add %%_package_note_linker and document everything (rhbz#2043178,
  rhbz#2043368)

* Sat Jan 22 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4-10
- Allow unsetting %%_package_note_readonly to drop the READONLY attribute

* Fri Jan 21 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4-9
- Use %%{buildsubdir} in %%_package_note_file if defined

* Fri Jan 21 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4-8
- Also voidify the macros if we're on a noarch build

* Fri Jan 21 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4-7
- Use $RPM_PACKAGE_VERSION variable to refer to the package version

* Fri Jan 21 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4-6
- Make _generate_package_note_file always recreate the file

* Fri Jan 21 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4-5
- Conditionalize all macros on %%_package_note_file being defined

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jan 14 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4-3
- Rename srpm macros file

* Fri Jan 14 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4-2
- Add package-notes-srpm-macros subpackage to configure rpm builds

* Tue Nov 16 2021 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4-1
- Version 0.4

## END: Generated by rpmautospec
